Bug 8947 - Search does not work with CCSR theme and language = nb-NO
Summary: Search does not work with CCSR theme and language = nb-NO
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Paul Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-19 12:12 UTC by Magnus Enger
Modified: 2013-12-05 20:06 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8947: XSLT fallback logic backwards (1.65 KB, patch)
2012-10-19 12:36 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8947: [SIGNED-OFF] XSLT fallback logic backwards (1.74 KB, patch)
2012-10-19 12:57 UTC, Magnus Enger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2012-10-19 12:12:38 UTC
After following advice from bug 8597 and bug 8633 ("perl translate create nb-NO; perl translate install nb-NO") I managed to get the CCSR theme working. Then I switched from English to Norwegian and initially things were looking good. Until I did a search and got this error:

Software error:
Could not create file parser context for file "/home/magnus/kohahead/koha-tmpl/opac-tmpl/ccsr/nb-NO/xslt/NORMARCslim2OPACResults.xsl": No such file or directory at /home/magnus/kohahead/C4/XSLT.pm line 218

Looks like the XSLT was not copied correctly?
Comment 1 Jared Camins-Esakov 2012-10-19 12:36:11 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2012-10-19 12:57:28 UTC
Created attachment 12938 [details] [review]
Bug 8947: [SIGNED-OFF] XSLT fallback logic backwards

The logic for the XSLT fallback was backwards, which meant that
non-English installations of the CCSR theme were unable to use XSLT
stylesheets. This patch corrects the logic.

To test:
1) Switch to the ccsr OPAC theme.
2) Switch to a language other than English for the OPAC.
3) Turn on the default XSLT stylesheets for the OPAC.
4) Do a search or view a record that would result in something being
   displayed with XSLT. This will work after the patch, but not before.

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
Works as advertised!
Comment 3 Paul Poulain 2012-10-26 15:40:59 UTC
QA comment:
 * tiny patch (just 3 ! differences !)
 * fixes a bug

nothing to add, passed QA
Comment 4 Paul Poulain 2012-10-26 15:41:58 UTC
Patch pushed to master. It's probably usefull for 3.8, even if the symptom is visible only with CCSR theme and 3.10
Comment 5 Chris Cormack 2013-04-21 08:09:12 UTC
Released in 3.10.0